org.eclipse.incquery.patternlanguage.services

## Class PatternLanguageGrammarAccess.CompareFeatureElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder
    - - org.eclipse.incquery.patternlanguage.services.PatternLanguageGrammarAccess.CompareFeatureElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess
  Enclosing class:
    PatternLanguageGrammarAccess

      public class PatternLanguageGrammarAccess.CompareFeatureElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompareFeatureElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives()`
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getEqualityEnumLiteralDeclaration_0()`
    `org.eclipse.xtext.Keyword` | `getEqualityEqualsSignEqualsSignKeyword_0_0()`
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getInequalityEnumLiteralDeclaration_1()`
    `org.eclipse.xtext.Keyword` | `getInequalityExclamationMarkEqualsSignKeyword_1_0()`
    `org.eclipse.xtext.EnumRule` | `getRule()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompareFeatureElements

          public CompareFeatureElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.EnumRule getRule()

    - #### getAlternatives

          public org.eclipse.xtext.Alternatives getAlternatives()

    - #### getEqualityEnumLiteralDeclaration_0

          public org.eclipse.xtext.EnumLiteralDeclaration getEqualityEnumLiteralDeclaration_0()

    - #### getEqualityEqualsSignEqualsSignKeyword_0_0

          public org.eclipse.xtext.Keyword getEqualityEqualsSignEqualsSignKeyword_0_0()

    - #### getInequalityEnumLiteralDeclaration_1

          public org.eclipse.xtext.EnumLiteralDeclaration getInequalityEnumLiteralDeclaration_1()

    - #### getInequalityExclamationMarkEqualsSignKeyword_1_0

          public org.eclipse.xtext.Keyword getInequalityExclamationMarkEqualsSignKeyword_1_0()